.. AUTO-GENERATED FILE. DO NOT EDIT. post-ingredient-catalog-create ============================== Source ------ - Repository: ``jef-systems/jef-caferimo-backend`` - Module: ``caferimo`` - Documentation Scope: ``async`` - Lambda: ``jef-caferimo-post-1`` Endpoint -------- - API Name: ``jef-caferimo`` - Action Name: ``post`` - Method: ``POST`` - Scope Label: ``Async`` - Resource Path: ``/post-ingredient-catalog-create`` - Complete Endpoint: ``https://lfyr4e0eqe.execute-api.ap-southeast-1.amazonaws.com/prod/post-ingredient-catalog-create`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-caferimo-post-1`` - curl payload mode: ``json_body`` API Gateway Description ----------------------- .. code-block:: text Function: jef-caferimo-post-1 API Name: jef-caferimo Action: post Method: POST Resource Path: /post-ingredient-catalog-create Payload: - jsin: string - barcode: string - product_name: string - product_unit: string Response: - exists: boolean - message: string - item: {"pk":"string-jsin","gsi_1_pk":"string-barcode","jsin":"string","barcode":"string","product_name":"string","product_unit":"string"} Request Payload --------------- .. code-block:: json { "jsin": "string", "barcode": "string", "product_name": "string", "product_unit": "string" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "item": "{\"pk\":\"string-jsin\",\"gsi_1_pk\":\"string-barcode\",\"jsin\":\"string\",\"barcode\":\"string\",\"product_name\":\"string\",\"product_unit\":\"string\"}" } CMD curl -------- .. code-block:: text curl -X POST "https://lfyr4e0eqe.execute-api.ap-southeast-1.amazonaws.com/prod/post-ingredient-catalog-create" -H "Content-Type: application/json" --data-raw "{\"jsin\": \"string\", \"barcode\": \"string\", \"product_name\": \"string\", \"product_unit\": \"string\"}" PowerShell curl --------------- .. code-block:: text curl.exe -X POST "https://lfyr4e0eqe.execute-api.ap-southeast-1.amazonaws.com/prod/post-ingredient-catalog-create" -H "Content-Type: application/json" --data-raw '{"jsin": "string", "barcode": "string", "product_name": "string", "product_unit": "string"}'